%global enable_tests 1
%global module_name dependency-lister

Name:           nodejs-%{module_name}
Version:        1.0.3
Release:        8%{?dist}
Summary:        Lists your module's dependencies with URLs and licenses

License:        MIT
URL:            https://github.com/mattdesl/dependency-lister
Source0:        https://github.com/mattdesl/dependency-lister/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(npm-stats)
BuildRequires:  npm(bluebird)
BuildRequires:  npm(semver)
BuildRequires:  npm(as-number)
BuildRequires:  npm(minstache)
BuildRequires:  npm(npm-stats)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%nodejs_fixdep bluebird ~2.x
%nodejs_fixdep semver ^5.1.0
%nodejs_fixdep yargs ~3.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js bin %{buildroot}%{nodejs_sitelib}/%{module_name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{module_name}/bin/cmd.js %{buildroot}%{_bindir}/dependency-lister

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
node test.js
%endif

%files
%doc README.md 
%license LICENSE.md
%{_bindir}/dependency-lister
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 12 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.3-7
- Add missing BR: npm(npm-stats)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 1.0.3-4
- Update npm(semver) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 20 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.3-2
- Fix for npm(yargs) update

* Sat Feb 14 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.3-1
- update to 1.0.3 upstream release

* Sat Jan 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- update to 1.0.2 upstream release

* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

